Package org.codehaus.groovy.tools

# Class FileSystemCompiler.VersionProvider

java.lang.Object
org.codehaus.groovy.tools.FileSystemCompiler.VersionProvider

All Implemented Interfaces:
  `CommandLine.IVersionProvider`

Enclosing class:
  FileSystemCompiler

public static class FileSystemCompiler.VersionProvider extends Object implements CommandLine.IVersionProvider

Since:
  2.5

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VersionProvider()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String[]`
  `getVersion()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### VersionProvider

    public VersionProvider()

- ## Method Details

  - ### getVersion

    public String[] getVersion()
    Specified by:
      `getVersion` in interface `CommandLine.IVersionProvider`